changeset in /hg/icedtea: 2007-10-22 Lillian Angel <langel at red...

Lillian Angel langel at redhat.com
Wed Nov 7 08:23:48 PST 2007


changeset 7304808731d0 in /hg/icedtea
details: http://icedtea.classpath.org/hg/icedtea?cmd=changeset;node=7304808731d0
description:
	2007-10-22  Lillian Angel  <langel at redhat.com>

	        * INSTALL: Updated requirements.
	        * Makefile.am: Updated patch list.
	        * Makefile.in: Regenerated.
	        * configure: Regenerated.
	        * configure.ac: Added checks for libpng, libjpeg, zlib and giflib.
	        * patches/icedtea-libraries.patch: New patch to remove built-in
	        libraries (libpng, libjpeg, zlib, giflib) and use system installed libs.
	        * patches/icedtea-libpng.patch: Removed (combined with previous patch).

diffstat:

7 files changed, 747 insertions(+), 16 deletions(-)
ChangeLog                       |   11 
INSTALL                         |    4 
Makefile.am                     |    2 
configure                       |  284 ++++++++++++++++++++++++-
configure.ac                    |    8 
patches/icedtea-libpng.patch    |   11 
patches/icedtea-libraries.patch |  443 +++++++++++++++++++++++++++++++++++++++

diffs (truncated from 856 to 500 lines):

diff -r cee826c52531 -r 7304808731d0 ChangeLog
--- a/ChangeLog	Fri Oct 19 12:33:26 2007 -0400
+++ b/ChangeLog	Mon Oct 22 16:00:02 2007 -0400
@@ -3,6 +3,17 @@ 2007-10-23  Christan Thalinger  <twisti@
 	* j2se/make/common/Defs-linux.gmk: Updated for b22.
 	* j2se/make/common/shared/Platform.gmk: Likewise.
 	* j2se/src/share/bin/java.c: Likewise.
+
+2007-10-22  Lillian Angel  <langel at redhat.com>
+
+	* INSTALL: Updated requirements.
+	* Makefile.am: Updated patch list.
+	* Makefile.in: Regenerated.
+	* configure: Regenerated.
+	* configure.ac: Added checks for libpng, libjpeg, zlib and giflib.
+	* patches/icedtea-libraries.patch: New patch to remove built-in
+	libraries (libpng, libjpeg, zlib, giflib) and use system installed libs.
+	* patches/icedtea-libpng.patch: Removed (combined with previous patch).
 
 2007-10-19  Joshua Sumali  <jsumali at redhat.com>
 
diff -r cee826c52531 -r 7304808731d0 INSTALL
--- a/INSTALL	Fri Oct 19 12:33:26 2007 -0400
+++ b/INSTALL	Mon Oct 22 16:00:02 2007 -0400
@@ -26,6 +26,10 @@ gtk2-devel
 gtk2-devel
 ant >= 1.6.5
 libXinerama-devel
+giflib-devel
+libpng-devel
+libjpeg-devel
+zlib-devel
 java-1.7.0-icedtea-devel (or IcedTea <= b19 built)
 
 See ./configure --help if you need to override defaults.
diff -r cee826c52531 -r 7304808731d0 Makefile.am
--- a/Makefile.am	Fri Oct 19 12:33:26 2007 -0400
+++ b/Makefile.am	Mon Oct 22 16:00:02 2007 -0400
@@ -136,7 +136,6 @@ ICEDTEA_PATCHES = \
 	patches/icedtea-debuginfo.patch \
 	patches/icedtea-ssl.patch \
 	patches/icedtea-license-headers.patch \
-	patches/icedtea-libpng.patch \
 	patches/icedtea-plugin.patch \
 	patches/icedtea-rmi_amd64.patch \
 	patches/icedtea-tools.patch \
@@ -152,6 +151,7 @@ ICEDTEA_PATCHES = \
 	patches/icedtea-memory-limits.patch \
 	patches/icedtea-xjc.patch \
 	patches/icedtea-sunsrc.patch \
+	patches/icedtea-libraries.patch \
 	$(FAST_BUILD_PATCH) \
 	$(DISTRIBUTION_PATCHES)
 
diff -r cee826c52531 -r 7304808731d0 configure
--- a/configure	Fri Oct 19 12:33:26 2007 -0400
+++ b/configure	Mon Oct 22 16:00:02 2007 -0400
@@ -6934,6 +6934,282 @@ fi
 fi
 
 
+{ echo "$as_me:$LINENO: checking for main in -lpng" >&5
+echo $ECHO_N "checking for main in -lpng... $ECHO_C" >&6; }
+if test "${ac_cv_lib_png_main+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  ac_check_lib_save_LIBS=$LIBS
+LIBS="-lpng  $LIBS"
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+
+
+int
+main ()
+{
+return main ();
+  ;
+  return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext conftest$ac_exeext
+if { (ac_try="$ac_link"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_link") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } && {
+	 test -z "$ac_c_werror_flag" ||
+	 test ! -s conftest.err
+       } && test -s conftest$ac_exeext &&
+       $as_test_x conftest$ac_exeext; then
+  ac_cv_lib_png_main=yes
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+	ac_cv_lib_png_main=no
+fi
+
+rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
+      conftest$ac_exeext conftest.$ac_ext
+LIBS=$ac_check_lib_save_LIBS
+fi
+{ echo "$as_me:$LINENO: result: $ac_cv_lib_png_main" >&5
+echo "${ECHO_T}$ac_cv_lib_png_main" >&6; }
+if test $ac_cv_lib_png_main = yes; then
+  cat >>confdefs.h <<_ACEOF
+#define HAVE_LIBPNG 1
+_ACEOF
+
+  LIBS="-lpng $LIBS"
+
+else
+  { { echo "$as_me:$LINENO: error: \"libpng not found - try installing libpng-devel\"" >&5
+echo "$as_me: error: \"libpng not found - try installing libpng-devel\"" >&2;}
+   { (exit 1); exit 1; }; }
+fi
+
+
+{ echo "$as_me:$LINENO: checking for main in -ljpeg" >&5
+echo $ECHO_N "checking for main in -ljpeg... $ECHO_C" >&6; }
+if test "${ac_cv_lib_jpeg_main+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  ac_check_lib_save_LIBS=$LIBS
+LIBS="-ljpeg  $LIBS"
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+
+
+int
+main ()
+{
+return main ();
+  ;
+  return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext conftest$ac_exeext
+if { (ac_try="$ac_link"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_link") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } && {
+	 test -z "$ac_c_werror_flag" ||
+	 test ! -s conftest.err
+       } && test -s conftest$ac_exeext &&
+       $as_test_x conftest$ac_exeext; then
+  ac_cv_lib_jpeg_main=yes
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+	ac_cv_lib_jpeg_main=no
+fi
+
+rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
+      conftest$ac_exeext conftest.$ac_ext
+LIBS=$ac_check_lib_save_LIBS
+fi
+{ echo "$as_me:$LINENO: result: $ac_cv_lib_jpeg_main" >&5
+echo "${ECHO_T}$ac_cv_lib_jpeg_main" >&6; }
+if test $ac_cv_lib_jpeg_main = yes; then
+  cat >>confdefs.h <<_ACEOF
+#define HAVE_LIBJPEG 1
+_ACEOF
+
+  LIBS="-ljpeg $LIBS"
+
+else
+  { { echo "$as_me:$LINENO: error: \"libjpeg not found - try installing libjpeg-devel\"" >&5
+echo "$as_me: error: \"libjpeg not found - try installing libjpeg-devel\"" >&2;}
+   { (exit 1); exit 1; }; }
+fi
+
+
+{ echo "$as_me:$LINENO: checking for main in -lgif" >&5
+echo $ECHO_N "checking for main in -lgif... $ECHO_C" >&6; }
+if test "${ac_cv_lib_gif_main+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  ac_check_lib_save_LIBS=$LIBS
+LIBS="-lgif  $LIBS"
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+
+
+int
+main ()
+{
+return main ();
+  ;
+  return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext conftest$ac_exeext
+if { (ac_try="$ac_link"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_link") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } && {
+	 test -z "$ac_c_werror_flag" ||
+	 test ! -s conftest.err
+       } && test -s conftest$ac_exeext &&
+       $as_test_x conftest$ac_exeext; then
+  ac_cv_lib_gif_main=yes
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+	ac_cv_lib_gif_main=no
+fi
+
+rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
+      conftest$ac_exeext conftest.$ac_ext
+LIBS=$ac_check_lib_save_LIBS
+fi
+{ echo "$as_me:$LINENO: result: $ac_cv_lib_gif_main" >&5
+echo "${ECHO_T}$ac_cv_lib_gif_main" >&6; }
+if test $ac_cv_lib_gif_main = yes; then
+  cat >>confdefs.h <<_ACEOF
+#define HAVE_LIBGIF 1
+_ACEOF
+
+  LIBS="-lgif $LIBS"
+
+else
+  { { echo "$as_me:$LINENO: error: \"libgif not found - try installing libgif-devel\"" >&5
+echo "$as_me: error: \"libgif not found - try installing libgif-devel\"" >&2;}
+   { (exit 1); exit 1; }; }
+fi
+
+
+{ echo "$as_me:$LINENO: checking for main in -lz" >&5
+echo $ECHO_N "checking for main in -lz... $ECHO_C" >&6; }
+if test "${ac_cv_lib_z_main+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  ac_check_lib_save_LIBS=$LIBS
+LIBS="-lz  $LIBS"
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+
+
+int
+main ()
+{
+return main ();
+  ;
+  return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext conftest$ac_exeext
+if { (ac_try="$ac_link"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_link") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } && {
+	 test -z "$ac_c_werror_flag" ||
+	 test ! -s conftest.err
+       } && test -s conftest$ac_exeext &&
+       $as_test_x conftest$ac_exeext; then
+  ac_cv_lib_z_main=yes
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+	ac_cv_lib_z_main=no
+fi
+
+rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
+      conftest$ac_exeext conftest.$ac_ext
+LIBS=$ac_check_lib_save_LIBS
+fi
+{ echo "$as_me:$LINENO: result: $ac_cv_lib_z_main" >&5
+echo "${ECHO_T}$ac_cv_lib_z_main" >&6; }
+if test $ac_cv_lib_z_main = yes; then
+  cat >>confdefs.h <<_ACEOF
+#define HAVE_LIBZ 1
+_ACEOF
+
+  LIBS="-lz $LIBS"
+
+else
+  { { echo "$as_me:$LINENO: error: \"zlib not found - try installing zlib-devel\"" >&5
+echo "$as_me: error: \"zlib not found - try installing zlib-devel\"" >&2;}
+   { (exit 1); exit 1; }; }
+fi
+
+
 
 
 if test "x$ac_cv_env_PKG_CONFIG_set" != "xset"; then
@@ -7600,7 +7876,7 @@ and GLIB_LIBS to avoid the need to call 
 and GLIB_LIBS to avoid the need to call pkg-config.
 See the pkg-config man page for more details.
 
-To get pkg-config, see <http://www.freedesktop.org/software/pkgconfig>.
+To get pkg-config, see <http://pkg-config.freedesktop.org/>.
 See \`config.log' for more details." >&5
 echo "$as_me: error: The pkg-config script could not be found or is too old.  Make sure it
 is in your PATH or set the PKG_CONFIG environment variable to the full
@@ -7610,7 +7886,7 @@ and GLIB_LIBS to avoid the need to call 
 and GLIB_LIBS to avoid the need to call pkg-config.
 See the pkg-config man page for more details.
 
-To get pkg-config, see <http://www.freedesktop.org/software/pkgconfig>.
+To get pkg-config, see <http://pkg-config.freedesktop.org/>.
 See \`config.log' for more details." >&2;}
    { (exit 1); exit 1; }; }
 else
@@ -7711,7 +7987,7 @@ and GTK_LIBS to avoid the need to call p
 and GTK_LIBS to avoid the need to call pkg-config.
 See the pkg-config man page for more details.
 
-To get pkg-config, see <http://www.freedesktop.org/software/pkgconfig>.
+To get pkg-config, see <http://pkg-config.freedesktop.org/>.
 See \`config.log' for more details." >&5
 echo "$as_me: error: The pkg-config script could not be found or is too old.  Make sure it
 is in your PATH or set the PKG_CONFIG environment variable to the full
@@ -7721,7 +7997,7 @@ and GTK_LIBS to avoid the need to call p
 and GTK_LIBS to avoid the need to call pkg-config.
 See the pkg-config man page for more details.
 
-To get pkg-config, see <http://www.freedesktop.org/software/pkgconfig>.
+To get pkg-config, see <http://pkg-config.freedesktop.org/>.
 See \`config.log' for more details." >&2;}
    { (exit 1); exit 1; }; }
 else
diff -r cee826c52531 -r 7304808731d0 configure.ac
--- a/configure.ac	Fri Oct 19 12:33:26 2007 -0400
+++ b/configure.ac	Mon Oct 22 16:00:02 2007 -0400
@@ -75,6 +75,14 @@ AC_CHECK_LIB(Xtst, XTestQueryExtension,
 	, [AC_MSG_ERROR("libXtst not found - try installing libXtst-devel")])
 AC_CHECK_LIB(Xinerama, XineramaQueryExtension,
 	, [AC_MSG_ERROR("libXinerama not found - try installing libXinerama-devel")])
+AC_CHECK_LIB(png, main,
+        , [AC_MSG_ERROR("libpng not found - try installing libpng-devel")])
+AC_CHECK_LIB(jpeg, main,
+        , [AC_MSG_ERROR("libjpeg not found - try installing libjpeg-devel")])
+AC_CHECK_LIB(gif, main,
+        , [AC_MSG_ERROR("libgif not found - try installing libgif-devel")])
+AC_CHECK_LIB(z, main,
+	, [AC_MSG_ERROR("zlib not found - try installing zlib-devel")])
 
 dnl Check for plugin support headers and libraries.
 PKG_CHECK_MODULES(MOZILLA, mozilla-plugin, [MOZILLA_FOUND=yes], \
diff -r cee826c52531 -r 7304808731d0 patches/icedtea-libpng.patch
--- a/patches/icedtea-libpng.patch	Fri Oct 19 12:33:26 2007 -0400
+++ /dev/null	Thu Jan 01 00:00:00 1970 +0000
@@ -1,11 +0,0 @@
---- openjdk.orig/j2se/make/sun/splashscreen/Makefile	2007-08-19 15:04:21.000000000 -0400
-+++ openjdk/j2se/make/sun/splashscreen/Makefile	2007-08-19 15:08:45.000000000 -0400
-@@ -59,7 +59,7 @@
- # C Flags
- #
- 
--CFLAGS += -DSPLASHSCREEN
-+CFLAGS += -DSPLASHSCREEN -DPNG_NO_MMX_CODE
- 
- ifneq ($(PLATFORM), windows)
-   CFLAGS += -DWITH_X11
diff -r cee826c52531 -r 7304808731d0 patches/icedtea-libraries.patch
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/patches/icedtea-libraries.patch	Mon Oct 22 16:00:02 2007 -0400
@@ -0,0 +1,443 @@
+--- openjdk.old/j2se/src/share/native/sun/awt/splashscreen/splashscreen_png.c	2007-10-12 04:03:51.000000000 -0400
++++ openjdk/j2se/src/share/native/sun/awt/splashscreen/splashscreen_png.c	2007-10-22 12:50:36.000000000 -0400
+@@ -25,7 +25,7 @@
+ 
+ #include "splashscreen_impl.h"
+ 
+-#include "../libpng/png.h"
++#include <png.h>
+ 
+ #include <setjmp.h>
+ 
+--- openjdk.old/j2se/src/share/native/sun/awt/splashscreen/splashscreen_gif.c	2007-10-12 04:03:51.000000000 -0400
++++ openjdk/j2se/src/share/native/sun/awt/splashscreen/splashscreen_gif.c	2007-10-22 12:50:36.000000000 -0400
+@@ -26,7 +26,7 @@
+ #include "splashscreen_impl.h"
+ #include "splashscreen_gfx.h"
+ 
+-#include "../giflib/gif_lib.h"
++#include <gif_lib.h>
+ 
+ #define GIF_TRANSPARENT     0x01
+ #define GIF_USER_INPUT      0x02
+--- openjdk.old/j2se/src/share/native/sun/awt/splashscreen/splashscreen_jpeg.c	2007-10-12 04:03:51.000000000 -0400
++++ openjdk/j2se/src/share/native/sun/awt/splashscreen/splashscreen_jpeg.c	2007-10-22 12:50:36.000000000 -0400
+@@ -25,11 +25,9 @@
+ 
+ #include "splashscreen_impl.h"
+ 
+-#include "jinclude.h"
+-#include "jpeglib.h"
+-#include "jerror.h"
+-
++#include <jerror.h>
+ #include <setjmp.h>
++#include <jpeglib.h>
+ 
+ /* stream input handling */
+ 
+@@ -105,13 +103,9 @@
+     stream_src_ptr src;
+ 
+     if (cinfo->src == NULL) {   /* first time for this JPEG object? */
+-        cinfo->src = (struct jpeg_source_mgr *)
+-            (*cinfo->mem->alloc_small) ((j_common_ptr) cinfo, 
+-            JPOOL_PERMANENT, SIZEOF(stream_source_mgr));
++        cinfo->src = (struct jpeg_source_mgr *) (*cinfo->mem->alloc_small) ((j_common_ptr) cinfo, JPOOL_PERMANENT, sizeof(stream_source_mgr));
+         src = (stream_src_ptr) cinfo->src;
+-        src->buffer = (JOCTET *)
+-            (*cinfo->mem->alloc_small) ((j_common_ptr) cinfo, 
+-            JPOOL_PERMANENT, INPUT_BUF_SIZE * SIZEOF(JOCTET));
++        src->buffer = (JOCTET *) (*cinfo->mem->alloc_small) ((j_common_ptr) cinfo, JPOOL_PERMANENT, INPUT_BUF_SIZE * sizeof(JOCTET));
+     }
+ 
+     src = (stream_src_ptr) cinfo->src;
+--- openjdk.old/j2se/make/sun/jpeg/FILES_c.gmk	2007-10-12 03:54:08.000000000 -0400
++++ openjdk/j2se/make/sun/jpeg/FILES_c.gmk	2007-10-22 12:50:36.000000000 -0400
+@@ -23,53 +23,7 @@
+ # have any questions.
+ #
+ 
+-FILES_c = \
+-	imageioJPEG.c \
+-	jpegdecoder.c \
+-	jcomapi.c \
+-	jdapimin.c \
+-	jdapistd.c \
+-	jdcoefct.c \
+-	jdcolor.c \
+-	jddctmgr.c \
+-	jdhuff.c \
+-	jdinput.c \
+-	jdmainct.c \
+-	jdmarker.c \
+-	jdmaster.c \
+-	jdmerge.c \
+-	jdphuff.c \
+-	jdpostct.c \
+-	jdsample.c \
+-	jerror.c \
+-	jidctflt.c \
+-	jidctfst.c \
+-	jidctint.c \
+-	jidctred.c \
+-	jmemmgr.c \
+-	jmemnobs.c \
+-	jquant1.c \
+-	jquant2.c \



More information about the distro-pkg-dev mailing list